package de.unirostock.sems.XmlFileServerClient.exceptions;

/**
 * The model can not pushed to the server, because this version of the model already exists
 *
 */
public class ModelAlreadyExistsException extends ModelException {

	public static final String ID = "MODEXS";
	private static final long serialVersionUID = -7649047840061721302L;

	public ModelAlreadyExistsException() {
		super();
	}

	public ModelAlreadyExistsException(String message) {
		super(message);
	}

	public ModelAlreadyExistsException(Throwable cause) {
		super(cause);
	}

	public ModelAlreadyExistsException(String message, Throwable cause) {
		super(message, cause);
	}

	public ModelAlreadyExistsException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
